:root {
    --screen-width: 100vw;
    --screen-height: calc(var(--screen-width) * 3136 / 4180);
}
body {
    margin: 0;
    overflow: hidden;
}
#svg-container {
    width: var(--screen-width);
    height: var(--screen-height);
    overflow: hidden;
    position: relative;
}
svg {
    width:var(--screen-width);
    height:var(--screen-height);
    transform-origin: 0 0;
    transition: transform 0.2s;
}
#popup {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 10px;
    border-radius: 5px;
    z-index: 10;
}